%bcond_without check

# https://github.com/daedaleanai/reqtraq
%global goipath         github.com/daedaleanai/reqtraq
%global commit          2f92fa8f4d0e28a3470d5df08f2cdb3239925ca0

%gometa -f

%global common_description %{expand:
Daedalean's Requirements Tracker.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md certdocs/TRAQ-138-SDD.md\\\
                        certdocs/TRAQ-100-ORD.md certdocs/TRAQ-137-SRD.md

Name:           %{goname}
Version:        0
Release:        %autorelease -p
Summary:        Daedalean's Requirements Tracker

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

Requires:       pandoc
Requires:       ctags
BuildRequires:  pandoc
BuildRequires:  ctags
BuildRequires:  llvm14-devel
BuildRequires:  git

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
export CGO_LDFLAGS="-L/usr/lib64/llvm14/lib -Wl,-rpath=/usr/lib64/llvm14/lib"
%gobuild -o %{gobuilddir}/bin/reqtraq %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CONTRIBUTING.md README.md certdocs/TRAQ-138-SDD.md certdocs/TRAQ-100-ORD.md
%doc certdocs/TRAQ-137-SRD.md
%{_bindir}/*

%gopkgfiles

%changelog
%autochangelog
